Le web avance et cet article date de septembre 2015, son contenu peut ne plus être pertinent ou d'actualité.

L’erreur de transport http de WordPress

Chose que tout le monde ne sait pas, WordPress utilise cURL pour les mises à jours du CMS mais également les mises à jours de plugins. Si bien que si l’extension n’est pas activée sur votre serveur, vous obtiendrez l’erreur suivante lors de toute tentative de mise à jour ou d’installation de plugin (ou thème) depuis l’interface d’administration :

Il n’y a pas de transport HTTP disponible pour mener à bien la requête demandée.

C’est un cas assez rare, puisque la plupart du temps l’extension est activée par défaut. Cependant, si vous rencontrez cette erreur, vérifier votre configuration PHP, activez la (ou demandez à votre hébergeur de le faire) et redémarrez le service PHP.

Publié le par Edouard dans Hébergement , Wordpress